<?php
/**
 * This is the bootstrap file for woo-advanced-qty plugin.
 *
 * @link              http://morningtrain.dk
 * @since             1.0.0
 * @package           Woo_Advanced_QTY
 *
 * @wordpress-plugin
 * Plugin Name:       WooCommerce Advanced Quantity
 * Plugin URI:        http://morningtrain.dk
 * Description:       This plugin allows to make a WooCommerce product support advanced quantity.
 * Version:           2.3.0
 * Author:            پرشین اسکریپت
 * Author URI:        http://www.persianscript.ir
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       woo-advanced-qty
 * Domain Path:       /languages/
 * WC tested up to:   3.3
 */

// If this file is called directly, abort.
if(!defined('WPINC')) {
	die;
}

/**
 * The code that runs during plugin deactivation.
 */
function deactivate_plugin_name() {
	require_once plugin_dir_path(__FILE__) . 'includes/class-woo-advanced-qty-deactivator.php';
	Woo_Advanced_QTY_Deactivator::deactivate();
}
register_deactivation_hook(__FILE__, 'deactivate_woo_advanced_qty');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-woo-advanced-qty.php';

/**
 * Begins execution of the plugin.
 *
 * @since    1.0.0
 */
function run_woo_advanced_qty() {
	$plugin = new Woo_Advanced_QTY();
	$plugin->run();
}
run_woo_advanced_qty();